Bug 1094717 - mutt reports as neomutt and incorrect version
mutt reports as neomutt and incorrect version
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 openSUSE Factory
: P5 - None : Enhancement (vote)
: ---
Assigned To: David Sterba
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-25 16:11 UTC by patrick shanahan
Modified: 2019-05-09 10:09 UTC (History)
6 users (show)

See Also:
Found By: Other
Services Priority:
Business Priority:
Blocker: No
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description patrick shanahan 2018-05-25 16:11:00 UTC
from the cl,

  10:58 Crash:~ > zypper se -sx mutt
  Loading repository data...
  Reading installed packages...

  S  | Name | Type    | Version   | Arch   | Repository
  ---+------+---------+-----------+--------+------------------------
  i+ | mutt | package | 1.9.1-1.3 | x86_64 | openSUSE-Tumbleweed OSS
  v  | mutt | package | 1.9.1-1.3 | i586   | openSUSE-Tumbleweed OSS

  zypper -v in --force mutt

  10:59 Crash:~ > mutt -v |grep -i neomutt
  NeoMutt 20170912 (1.9.0)
  To learn more about NeoMutt, visit: http://www.neomutt.org/
  If you find a bug in NeoMutt, please raise an issue at:
      https://github.com/neomutt/neomutt/issues
      or send an email to: <neomutt-devel@neomutt.org>

why does installing mutt 1.9.1 actually install neomutt 1.9.0
Comment 1 patrick shanahan 2018-05-28 19:34:19 UTC
and the copyright information is incorrect, ME does not hold copyright for neomutt.

<quote>
NeoMutt 20170912 (1.9.0)
Copyright (C) 1996-2016 Michael R. Elkins and others.
Mutt comes with ABSOLUTELY NO WARRANTY; for details type `mutt -vv'.
Mutt is free software, and you are welcome to redistribute it
under certain conditions; type `mutt -vv' for details.
</quote>


and the last four lines from "mutt -v" direct one to the neomutt site rather than to mutt.org

<quote> 
To learn more about NeoMutt, visit: http://www.neomutt.org/
If you find a bug in NeoMutt, please raise an issue at:
    https://github.com/neomutt/neomutt/issues
or send an email to: <neomutt-devel@neomutt.org>
</quote>
Comment 2 Dr. Werner Fink 2018-06-05 10:14:25 UTC
Hmm ... mutt here had already been patched a long time ago, that is mutt was never the original mutt as there was always (bug) reports and feature requests to add those patches.  Now as theNeoMutt project had maintained and integrated those patches and released in past a patch set and now their own version of mutt called neomutt, the mutt here is in fact a neomutt.  Let's gues what happens if I switch to original mutt back, that is without any patches: I'll see a lot of bug reports that features do not work anymore.

A solution would be to rename current mutt to neomutt and add a new package mutt. But for the last one an other maintainer/bugowner is required.
Comment 3 Tomáš Chvátal 2018-06-15 19:41:36 UTC
I would say rename your mutt, and then let anyone interested to bring back the old "mutt" so none can blame us for abusing the name.

I would bet we will stick with just neomutt, so it is just renaming excersize, but if it pleases the crowds...
Comment 4 Tomáš Chvátal 2018-06-21 08:28:55 UTC
Lets assign this to David to coordinate with Werner and get some decision.
Comment 5 David Sterba 2018-06-25 11:56:01 UTC
(In reply to Dr. Werner Fink from comment #2)
> Hmm ... mutt here had already been patched a long time ago, that is mutt was
> never the original mutt as there was always (bug) reports and feature
> requests to add those patches.  Now as the NeoMutt project had maintained and
> integrated those patches and released in past a patch set and now their own
> version of mutt called neomutt, the mutt here is in fact a neomutt.

No it's not, closest match is that opensuse-mutt has some old snapshot of neomutt sources, that's now half a year old. Possibly fixing some of the bugs you refer to, but otherwise it's just another 3rd party patch to mutt.

The neomutt project moves forward, has replaced the build system and adds new features so updating the neomutt patch inside opensuse-mutt would not make much sense.

> Let's
> gues what happens if I switch to original mutt back, that is without any
> patches: I'll see a lot of bug reports that features do not work anymore.

That's the result of unfortuante state of mutt upstream that essentially forced every distro to track several fixes on their own. And not only that, also features, like sidebar, so this becomes impossible to revert to upstream-mutt because everybody is now used to the patched mutt.

> A solution would be to rename current mutt to neomutt and add a new package
> mutt. But for the last one an other maintainer/bugowner is required.

The solution is to push all opensuse-specific patches to upstream mutt or drop them from the package.

Neomutt is now a different project and what is inside the opensuse-mutt does not reflect the current state so renaming would cause yet more confusion we did not have in the first place.
Comment 6 Dr. Werner Fink 2018-07-05 11:57:16 UTC
I've switched back to original mutt which now report as Mutt ... every bug report about missing features will be answered with: Use NeoMutt, if NeoMutt misses some features which mutt have, report it to NeoMutt.

Mutt now supports header cache with exactly one DB (kyotocabinet), compressed folders, as well as sidebar mode. For this no patches are required anymore.
Comment 7 Swamp Workflow Management 2018-07-05 17:00:06 UTC
This is an autogenerated message for OBS integration:
This bug (1094717) was mentioned in
https://build.opensuse.org/request/show/621178 Factory / mutt
Comment 10 Swamp Workflow Management 2018-07-27 16:18:43 UTC
SUSE-SU-2018:2084-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.3.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.3.1
Comment 11 Swamp Workflow Management 2018-07-27 16:35:19 UTC
SUSE-SU-2018:2085-1: An update that solves 16 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Module for Basesystem 15 (src):    mutt-1.10.1-3.3.4
Comment 12 Swamp Workflow Management 2018-08-06 13:13:56 UTC
openSUSE-SU-2018:2212-1: An update that solves 16 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 15.0 (src):    mutt-1.10.1-lp150.2.3.1
Comment 13 Swamp Workflow Management 2019-01-07 15:40:22 UTC
This is an autogenerated message for OBS integration:
This bug (1094717) was mentioned in
https://build.opensuse.org/request/show/663361 42.3 / mutt
Comment 14 Swamp Workflow Management 2019-01-17 17:10:44 UTC
openSUSE-SU-2019:0052-1: An update that solves 16 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,1120935,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 42.3 (src):    mutt-1.10.1-2.5.1
Comment 15 Swamp Workflow Management 2019-05-09 10:09:11 UTC
SUSE-SU-2019:1196-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.6.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.